! Functie si MAIN pentru grafic:

function g(x)
g =1.6 +0.99*cos(x)
END

function g1(x)
g1 =1.55 +.98*cos(x)
end

function gtan(x)
gtan =(1.8 -0.2*tan(x))/(1+tan(x))
end function gtan

function bis(x)
bis =x
end function bis

function f(x)
use PAR
f =exp(x)-p*x**2
end


function fB(x)
use PAR
fB =x+ exp(-p*x*x)*cos(x)
end

function f4(x)
f4 =x -(1.78-0.2*tan(x))/(1+tan(x))
end

function f1(x)
f1 =1.6 +0.99*cos(x)-x
end

function lag6(x)
real lag6
lag6 =720 -4320*x +5400*x*x -2400*x**3 +450*x**4 -36*x**5 +x**6
end

function y1(x)
!use PAR
y1 =-x +2
end

function y2(x)
!use PAR
y2 =-1.1*x +2.1
end

function r3(x)
r3 =x**3/6. +x*x/2. +x +2
end

function r4(x)
r4 =x**3/24. +x**2/6. +x/2. +1
end

real function lag(x)
lag =693*x**3 -945*x*x +315*x -15
end

real function p5(x)
p5 =x**5 +1.2*x**4 +1.5*x**3 +2*x*x +3*x +6
end

real function circle10plus(x)
! Cercul (1,0) raza 1
! (x-1)**2 +y**2 =1 ~ y =+/sqrt(2*x -x*x)
circle10plus =sqrt(2*x -x*x)
end

real function circle10minus(x)
! Cercul (1,0) raza 1
! (x-1)**2 +y**2 =1 ~ y =+/sqrt(2*x -x*x)
circle10minus =-sqrt(2*x -x*x)
end

real function pol34(x)
pol34 =x**3 -4.4*x**2 +7.05*x -2.662
end


real function fk(x)
a =sqrt(.044)			!sqrt(.5*.088)
fk =cosh(a*x)-x
end

real function f17(x)
f17 =(1 +x +x**2 -x**3)/(1-x)**3 -0.892
end

real function f18(x)
P =87.3; T =486.9; v =2.005; A =0.0837; R =1.98
f18 =R*T/(v-x) -A/v/(v+x) -P
end

real function f26_1(x)
f26_1 =-0.5*sqrt(80-x**3)
end

real function f26_2(x)
f26_2 =-0.25*(x**2 +4)
end

real function f27_1(x)
f27_1 =0.5*sqrt(9-x**2)
end

real function f27_2(x)
f27_2 =-0.5*sqrt(9-x**2)
end

real function f27_3(x)
f27_3 =(14*x**2 -45)/18
end

